Subject: RE: [Simple] XCAP List Issue 2: Whither URI

From: [email-masked]
Date: Mon, 14 Jun 2004 11:09:35 +0300

The reason I suggested this a while ago is that I believed it is much cleaner to represent the entry characteristics all at the same level (child elements), but I don't feel so strongly about it.

/Hisham

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext Jonathan Rosenberg
> Sent: 11.June.2004 14:19
> To: Simple WG
> Subject: [Simple] XCAP List Issue 2: Whither URI
> 
> 
> There was some email discussions on this some time back, but 
> no resolution.
> 
> Currently, the <entry> element has the resource uri as an 
> attribute of 
> the <entry>. There was a proposal on the list to make it a 
> child, just 
> like <display-name>. So, it would look like this:
> 
> <entry>
>    <uri>sip:[email-masked]</uri>
>    <display-name>Joe User</display-name>
> </entry>
> 
> The issue is, do we do this or keep the current format?
> 
> I strongly believe we should keep the current format. There 
> are two reasons:
> 
> 1. It reduces the size and simplifies the structure needed. 
> This is an 
> issue in ad-hoc group calls or ad-hoc IM where the body of the SIP 
> request will carry one of these things. There have been 
> requests to keep 
> that list flat, since nothing more than a sequence of URI is needed.
> 
> 2. URI is really what we want as an index to each entry. 
> Moving it into 
> a child makes it hard to select an entry by URI when using 
> XCAP. We do 
> also have the optional "name" attribute, but I think its a mistake to 
> have two indices, and so I want to remove that (Issue 3, 
> email to follow).
> 
> Does anyone object to keeping the current format, with uri as an 
> attribute and not a child element?
> 
> Thanks,
> Jonathan R.
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple